local JjcNewLadderLogic = require("jjcnewladder.jjcNewLadderLogic")

-- 请求天梯赛信息
function CG_JJC_NEW_LADDER_QUERY(human, msg)
	JjcNewLadderLogic.JjcNewLadderLogic_Query(human)
end

-- 天梯赛对战记录查询
function CG_JJC_NEW_LADDER_RECORD_QUERY(human, msg)
	JjcNewLadderLogic.JjcNewLadderLogic_RecordQuery(human)
end

-- 天梯赛对手查询
function CG_JJC_NEW_LADDER_TARGET_FIND(human, msg)
	JjcNewLadderLogic.JjcNewLadderLogic_TargetFind(human)
end

-- 膜拜
function CG_JJC_NEW_LADDER_CHAMPION_WORSHIP(human, msg)
	JjcNewLadderLogic.JjcNewLadderLogic_Worship(human, msg.uuid)
end

-- 排行榜查询
function CG_JJC_NEW_LADDER_RANK_QUERY(human, msg)
	JjcNewLadderLogic.JjcNewLadderLogic_RankQuery(human)
end

-- 请求一键挑战 -- 直接获取奖励
function CG_JJC_NEW_LADDER_ONECLICK_CHANGE(human,msg)
	JjcNewLadderLogic.JjcNewLadderLogic_OneClickChange(human)
end

-- 请求天梯赛上一轮排名前三
function CG_JJC_NEW_LADDER_QUERY_LAST_RANK(human,msg)
	print("[CG_JJC_NEW_LADDER_QUERY_LAST_RANK] 请求天梯赛上一轮前三")
	JjcNewLadderLogic.JjcNewLadderLogic_LastRankQuery(human)
end

-- 请求天梯赛排名奖励信息
function CG_JJC_NEW_LADDER_QUERY_RANKPRIZE(human, msg)
    JjcNewLadderLogic.JjcNewLadderLogic_RankPrizeQuery(human)
end

-- 请求人物所有信息
function CG_JJC_NEW_LADDER_QUERY_ALLINFO(human, msg)
    JjcNewLadderLogic.JjcNewLadderLogic_QueryAllInfo(human, msg.uuid, msg.nType)
end